Page MenuHomePhabricator

[[MediaWiki:Timeless-sitetitle]] should transclude {{int:}} instead of {{Mediawiki:}}
Closed, ResolvedPublic

Description

[[MediaWiki:Timeless-sitetitle]] should transclude {{int:Sitetitle}} instead of {{Mediawiki:Sitetitle}}

If there are interface messages in different languages. For example, MediaWiki:Timeless-sitetitle/zh-hant should transclude Mediawiki:Sitetitle/zh-hant instead of Mediawiki:Sitetitle. So that it can be displayed in correct language.

Event Timeline

A2093064 created this task.Jan 29 2019, 2:26 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 29 2019, 2:26 PM
Isarra added a subscriber: Isarra.Jan 29 2019, 3:47 PM

I love you.

This should solve so many problems.

Change 487047 had a related patch set uploaded (by D3r1ck01; owner: Derick Alangi):
[mediawiki/skins/Timeless@master] "timeless-sitetitle" i18n message should transclude {{int:}} instead

https://gerrit.wikimedia.org/r/487047

Change 487047 merged by jenkins-bot:
[mediawiki/skins/Timeless@master] "timeless-sitetitle" i18n message should transclude {{int:}} instead

https://gerrit.wikimedia.org/r/487047

D3r1ck01 closed this task as Resolved.Feb 4 2019, 2:03 PM
D3r1ck01 claimed this task.
D3r1ck01 added a subscriber: D3r1ck01.

Thanks for your review @Isarra!

+@Nikerabbit

Sorry for the dumb question on a broader topic. Do you know if we should favor {{int:Sitetitle}} or {{SITENAME}}? I see a bunch of references in MobileFrontend and elsewhere to the former but only Timeless appears to use the latter. We have a cool patch from @DannyS712 in MobileFrontend but I'm not sure which we should prefer.

Restricted Application added a subscriber: Liuxinyu970226. · View Herald TranscriptApr 16 2019, 7:43 PM

I'm guessing but I think we want just plain {{SITENAME}}. It's listed on the magic words page. {{int:Sitetitle}} refers to MediaWiki:Sitetitle and that page is deleted.

I'm guessing but I think we want just plain {{SITENAME}}. It's listed on the magic words page. {{int:Sitetitle}} refers to MediaWiki:Sitetitle and that page is deleted.

In that case @Niedzielski @Nikerabbit done